Icy Phoenix

     
 


Post new topic  Reply to topic 
Page 2 of 2
Goto page Previous  1, 2
 
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
I wasn't talking about who contributes to GIT, I was pointing out that those with the expertise are seldom around the place to answer questions on BUG reports and fixes.

It's a little difficult for users to get stuff from GIT when the version they are using hasn't been updated step by step or the fixes for the latest Public Download haven't been added or changed in the download.

In most cases I would have to guess that the files in GIT at the moment are probably NOT even compatible with the Public Download - But I do stand to be corrected.

And about the ONLY time we hear from those in the know - It's usually MG - And that's why I said "We" = "MG".

 
 



 
mortSend private message  
Back to topPage bottom
Icy Phoenix is an open source project, you can show your appreciation and support future development by donating to the project.

Support us
 
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Informpro wrote: [View Post]
Quote:
By 'We" I assume that you mean MG because he's the only one that tends to keep it up to date, and it's a BIG ask to expect him to keep up with and apply the changes to current versions on a regular basis for every change or bug that pops up.
Don't forget everybody that contributes code ;). Gabriel Anca, for exemple, did a big Pull Request 3/4 months ago (which is the last time MG updated the codebase), I contributed some stuff too, etc.


And me? I find a solution for the problem whit PHP 5.5/5.4            

I want be on the Icy Phoenix staff        

 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Yeah! - Dimo for Admiral of Icy Phoenix!   

But you're right - People who want to contribute should ask MG to consider making them a moderator or staff member.  
 



 
mortSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
mort wrote: [View Post]
Yeah! - Dimo for Admiral of Icy Phoenix!   

But you're right - People who want to contribute should ask MG to consider making them a moderator or staff member.  


Yes, I konw... I only say that I want be here: ( http://www.icyphoenix.com/credits.php )    in "Valued Contributors"  
 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Didn't even know that I was on there - Maybe it has something to do with the number of "Helpful" posts one has to make before one gets added?

Dunno?

 
 



 
mortSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
mort wrote: [View Post]
Didn't even know that I was on there - Maybe it has something to do with the number of "Helpful" posts one has to make before one gets added?

Dunno?

 


I really wanna cry. No one love me.
I only help me self?      

MG I want be in credits      

 




____________
* URL: www.laforo.org
* Versión de phpBB Icy Phoenix: 1.3.0.53b and 2.0.0.86
* Parches Instalados: No
* Modificaciones Realizadas: No
* Es una actualización o instalación limpia: Instalación limpia
* Formular tu pregunta: formulada en el post
 
DimoSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Ha ha ha guys, you made me laugh.

I'll try to catch up with some of the questions in this topic:

  1. I should have fixed a while ago PHP 5.5 issues, because I'm using it on my local testing environment with PHP 5.5.3, but I can't remember all things I fixed.
  2. Many users lost their interest into Icy Phoenix. The problem is well known. The codebase is huge and currently there are a lot of awesome pieces of software (WordPress, XenForo, just to mention two of them). Users are lazy and they normally don't want to waste time to understand large codebase... I can understand, I have few time as well. The only solution is moving everything extra as a plugin and just keep forum and CMS. This would help a lot. Plus, in the meantime, HTML 5 is the new standard... as the responsive templates are... all that IP is still lacking. If I don't recode the template system to use HTML 5, new users are not going to join for sure. No matters that IP is stable and works fine... users want new technologies... HTML 5, CSS 3, jQuery, AJAX, Responsive templates and so on. Plus Social Connectors.
  3. Regarding contributors, I have to thank a lot of users who helped me a lot with their contributions. Usually I require some solid and constant help to add new names to credits. Recently the two coders who helped a lot are Gabriel and Informpro. Not to mention the countless hours spent by Steffen or Limun or Andrea75 or the beloved Joshua ( ). Even Mort on his own spent a lot of time on helping the project (just to mention few who are still active in one way or another). But there are a lot of other users (hpl, Bicet, difus, ThE Kuka, Janu, KugeLSichA, DrWho, brandsrus, spydie, MoreTeaVicar... and many others you can find in credits) who used to help and I remember all of them individually for their contribution... mention one and I will tell instantly what they did for the project.
  4. Regarding international support, in the past I used to have individual language sections, but then few people wanted to start their own International Support website, and I think it was a good idea at that time. Of course now a day isn't a nice idea anymore and maybe it's better if we move everything here. The problem is just that I can't help people in other language than Italian and English. And also I should ask people to shut the localized support which isn't a good idea... plus, remember that users tend to go Off Topics in a multilanguage platform... they use to post in other language even in forums where only English should be used... I think is not adviceable. Better from time to time try to face individual requests by allowing few users to use their own lang.


I think it's all for now...
 




____________
Luca
SEARCH is the quickest way to get support.
Icy Phoenix ColorizeIt - CustomIcy - HON
 
Mighty GorgonSend private messageSend e-mail to userVisit poster's website  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Quote:
No matters that IP is stable and works fine... users want new technologies... HTML 5, CSS 3, jQuery, AJAX, Responsive templates and so on. Plus Social Connectors.
That's something I can work

Add something like bower to manage deps, refactor code, add auto minification etc.
 



 
InformproSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
@informpro,

That's why it's nice to see you hanging around here - You have a stake in the future of coding, where others lke myself have decided that it's time to put the brakes on and just stick to what we think we know?  




Lopalong ani_boxer3 MoreTeaVicar

 ani_happy_roll

 



 
mortSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Informpro wrote: [View Post]
That's something I can work

Add something like bower to manage deps, refactor code, add auto minification etc.

I don't think adding Bower can help at current stage, unless you are going to start from scratch.

You already experienced how tough it is to refactor Icy Phoenix code if we don't remove first some complex integrations like Album and rewrite those packages as plugins.

Anyway Bower is a new technology for developers, not for final users (who may actually find it to be a pain).
 




____________
Luca
SEARCH is the quickest way to get support.
Icy Phoenix ColorizeIt - CustomIcy - HON
 
Mighty GorgonSend private messageSend e-mail to userVisit poster's website  
Back to topPage bottom
Reply with quote Download Post 
Post Re: Problem With IP2.0 In PHP 5.4? 
 
Well, bower would be mainly for minification etc. If we want to add cool features without inline scripts and without a thousand of <script src>s, a build + min. tool would be nice to have.
 



 
InformproSend private message  
Back to topPage bottom
Post new topic  Reply to topic  Page 2 of 2
Goto page Previous  1, 2


Display posts from previous:    

HideWas this topic useful?

Link this topic
URL
BBCode
HTML




 
Permissions List
You cannot post new topics
You cannot reply to topics
You cannot edit your posts
You cannot delete your posts
You cannot vote in polls
You cannot attach files
You can download files
You cannot post calendar events


  

 

  cron